import request from '@/utils/request'

// 查询投票评测列表
export function listVote(query) {
  return request({
    url: '/kaohe/vote/list',
    method: 'get',
    params: query
  })
}

// 查询投票评测详细
export function getVote(id) {
  return request({
    url: '/kaohe/vote/' + id,
    method: 'get'
  })
}

// 新增投票评测
export function addVote(data) {
  return request({
    url: '/kaohe/vote',
    method: 'post',
    data: data
  })
}

// 修改投票评测
export function updateVote(data) {
  return request({
    url: '/kaohe/vote',
    method: 'put',
    data: data
  })
}

// 删除投票评测
export function delVote(id) {
  return request({
    url: '/kaohe/vote/' + id,
    method: 'delete'
  })
}
